Bug 864089 - Review Request: nemo-open-terminal - Nemo extension for an open terminal shortcut
Review Request: nemo-open-terminal - Nemo extension for an open terminal shor...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 10:41 EDT by leigh scott
Modified: 2013-11-21 11:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 11:08:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description leigh scott 2012-10-08 10:41:52 EDT
Spec URL: http://leigh123linux.fedorapeople.org/pub/review/nemo-open-terminal/1/nemo-open-terminal.spec
SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/nemo-open-terminal/1/nemo-open-terminal-1.0.0-1.fc17.src.rpm

Description: The nemo-open-terminal extension provides a right-click "Open
Terminal" option for nautilus users who prefer that option.

Fedora Account System Username: leigh123linux

nemo-open-terminal is my fork of nautilus-open-terminal

https://github.com/leigh123linux/nemo-open-terminal
Comment 1 Wolfgang Ulbrich 2012-10-08 11:13:19 EDT
Yeah, i can do the review.
Comment 2 leigh scott 2012-10-08 11:15:40 EDT
(In reply to comment #1)
> Yeah, i can do the review.

Thank you.
Comment 3 Wolfgang Ulbrich 2012-10-08 12:59:02 EDT
APPROVED

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: %config files are marked noreplace or the reason is justified.
     Note: %config %{_sysconfdir}/gconf/schemas/nemo-open-terminal.schemas
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Configuration_files


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[!]: %config files are marked noreplace or the reason is justified.
     Note: %config %{_sysconfdir}/gconf/schemas/nemo-open-terminal.schemas
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[ ]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "LGPL (v2 or later) (with incorrect FSF address)". 3 files have unknown
     license. Detailed output of licensecheck in /media/Jackass/Mate-Desktop-
     Review/review-nemo-open-terminal/licensecheck.txt
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (nemo-open-terminal-1.0.0.tar.gz)
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nemo-open-terminal-1.0.0-1.fc19.x86_64.rpm
          nemo-open-terminal-debuginfo-1.0.0-1.fc19.x86_64.rpm
          nemo-open-terminal-1.0.0-1.fc19.src.rpm
nemo-open-terminal.x86_64: W: conffile-without-noreplace-flag /etc/gconf/schemas/nemo-open-terminal.schemas
nemo-open-terminal.x86_64: W: dangerous-command-in-%pre rm
nemo-open-terminal.x86_64: W: dangerous-command-in-%post rm
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nemo-open-terminal nemo-open-terminal-debuginfo
nemo-open-terminal.x86_64: W: conffile-without-noreplace-flag /etc/gconf/schemas/nemo-open-terminal.schemas
nemo-open-terminal.x86_64: W: dangerous-command-in-%pre rm
nemo-open-terminal.x86_64: W: dangerous-command-in-%post rm
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nemo-open-terminal-1.0.0-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    GConf2  
    config(nemo-open-terminal) = 1.0.0-1.fc19
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo-gobject.so.2()(64bit)  
    libcairo.so.2()(64bit)  
    libgconf-2.so.4()(64bit)  
    libgdk-3.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgnome-desktop-3.so.4()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgtk-3.so.0()(64bit)  
    libnemo-extension.so.1()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    rtld(GNU_HASH)  

nemo-open-terminal-debuginfo-1.0.0-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
nemo-open-terminal-1.0.0-1.fc19.x86_64.rpm:
    
    config(nemo-open-terminal) = 1.0.0-1.fc19
    libnemo-open-terminal.so()(64bit)  
    nemo-open-terminal = 1.0.0-1.fc19
    nemo-open-terminal(x86-64) = 1.0.0-1.fc19

nemo-open-terminal-debuginfo-1.0.0-1.fc19.x86_64.rpm:
    
    nemo-open-terminal-debuginfo = 1.0.0-1.fc19
    nemo-open-terminal-debuginfo(x86-64) = 1.0.0-1.fc19



Unversioned so-files
--------------------
nemo-open-terminal-1.0.0-1.fc19.x86_64.rpm: /usr/lib64/nemo/extensions-3.0/libnemo-open-terminal.so

MD5-sum check
-------------
http://leigh123linux.fedorapeople.org/pub/nemo-open-terminal/source/nemo-open-terminal-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 9f8be344945729307ee596bf577c4660932b5d2757a27f4c2f7b326c612224d7
  CHECKSUM(SHA256) upstream package : 9f8be344945729307ee596bf577c4660932b5d2757a27f4c2f7b326c612224d7


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -v -r -n nemo-open-terminal -m fedora-rawhide-x86_64



This we can ignore because this schema file wouldn't be edit by a user

Issues:
=======
[!]: %config files are marked noreplace or the reason is justified.
     Note: %config %{_sysconfdir}/gconf/schemas/nemo-open-terminal.schemas
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Configuration_files


GPL (v2 or later) (with incorrect FSF address)
----------------------------------------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/leigh123linux-nemo-open-terminal-1de6c0c/src/open-terminal.c

GPL (v2 or later)
-----------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/leigh123linux-nemo-open-terminal-1de6c0c/ltmain.sh

LGPL (v2 or later) (with incorrect FSF address)
-----------------------------------------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/leigh123linux-nemo-open-terminal-1de6c0c/src/eel-gnome-extensions.h

Pls change licence before you import to GPLv2+ and LGPLv2+
and notice upstream about incorrect FSF address.
Comment 4 leigh scott 2012-10-08 13:30:17 EDT
New Package SCM Request
=======================
Package Name: nemo-open-terminal
Short Description: Nemo extension for an open terminal shortcut
Owners: leigh123linux
Branches: f17 f18
InitialCC:
Comment 5 leigh scott 2012-10-08 13:42:29 EDT
Thank you for the quick review.
The fsf address has been fixed upstream and I will fix the licence before import.
Comment 6 Gwyn Ciesla 2012-10-09 07:15:07 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.